body {
    background-color: #ffffff;
}

.advaita-logo-background{
    background-color: #ffffff;
    height: fit-content;
    width: fit-content;
    padding: 10px;
    margin: 10px;
    border-radius: 15px;
}

.new-user-txt {
    color: #ffffff;
    font-weight: bold;
}

.register-prompt {
    padding-left: 10px;
    padding-right: 10px;
    align-content: center;
}

.urgency-button {
    color: #ffffff !important;
    background: rgb(231, 168, 15);
    border-color: black;
    border-width: 1px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

.urgency-button:hover {
    transform: scale(0.98);
    background: linear-gradient(180deg,rgba(231, 168, 15, 1) 95%, rgba(0, 0, 0, 1));
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
}

.attention-button {
    color: #000000 !important;
    background: rgb(255, 255, 0);
    border-color: black;
    border-width: 1px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

.attention-button:hover {
    background: linear-gradient(180deg,rgb(255, 255, 0) 95%, rgba(0, 0, 0, 1));
    transform: scale(0.98);
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
}

.primary-button {
    color: #ffffff !important;
    /*background: linear-gradient(180deg, rgba(0, 0, 0, 0.80), rgb(9, 204, 235), rgb(9, 204, 235), rgba(0, 0, 0, 0.80));*/
    /*background: rgb(9, 204, 235);*/
    background: rgb(0, 111, 255);
    border-color: black;
    border-width: 1px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

.primary-button:hover {
    background: linear-gradient(180deg,rgb(0, 111, 255) 95%, rgba(0, 0, 0, 1));
    transform: scale(0.98);
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
}

.danger-button {
    color: #ffffff !important;
    background: rgb(255, 0, 0);
    border-color: black !important;
    border-width: 2px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

.danger-button:hover {
    transform: scale(0.98);
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
    background: linear-gradient(180deg,rgb(255, 0, 0) 95%, rgba(0, 0, 0, 1));
}

.submit-button {
    color: #ffffff !important;
    /*background: rgb(119, 224, 52);*/
    background: rgb(37, 85, 3);
    border-color: black;
    border-width: 1px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

.submit-button:hover {
    background: linear-gradient(180deg,rgb(37, 85, 3) 95%, rgba(0, 0, 0, 1));
    transform: scale(0.98);
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.5);
}

.submit-button:disabled {
    background: gray;
}

.submit-button:disabled:hover {
    transform: scale(1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

#register_btn:hover {
    transform: scale(0.98);
}

.generic-body {
    background: white;
    background-size: cover;
    background-repeat: no-repeat; /* Prevents repetition if the image doesn't fully cover */
    background-position: center center;
}

.overlay {
    background-color: rgba(0, 0, 0, 0.2); /* Black with 50% opacity */
}

.index-body {
    background: white;
    background-size: cover;
    background-repeat: no-repeat; /* Prevents repetition if the image doesn't fully cover */
    background-position: center center;
}

.profile-card {
    background: white;
    backdrop-filter: blur(10px);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 15px;

    md-card-title {
        /*background: linear-gradient(to left, black 0%, transparent 3%, transparent 4%),*/
        /*linear-gradient(to top, black 0%, transparent 3%, transparent 4%),*/
        /*linear-gradient(to bottom, black 0%, white 3%, transparent 4%),*/
        /*linear-gradient(to right, black 0%, white 3%);*/
        background: white;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
        border-radius: 15px;
        color: black;
    }

}

.login-card {
    background: white;
    backdrop-filter: blur(10px);
    border: 1px solid rgba(0, 0, 0, 0.3);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    max-width: 1400px;
    border-radius: 15px;
}

a {
    text-decoration: none;
}

a:link,
a:visited,
a:hover {
    color: blue;
}

pre.policy {
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
}

.box {
    max-width: 500px;
    min-width: 330px;
}

.info-tooltip {
    background: white;
    border-radius: 4px;
    box-shadow: 0 7px 8px -4px rgba(0, 0, 0, 0.2),
    0 13px 19px 2px rgba(0, 0, 0, 0.14),
    0 5px 24px 4px rgba(0, 0, 0, 0.12);
    min-width: 300px;
    max-width: 400px;
    padding: 16px;
}

.app-buttons-container {
    margin: 8px;
    background: white;
    border: 1px solid rgba(0, 0, 0, 0.3);
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.50);
    border-radius: 15px;
}

.app-button {
    background: linear-gradient(to left, lightgrey 0%, transparent 3%, transparent 4%),
    linear-gradient(to top, lightgrey 0%, transparent 3%, transparent 4%),
    linear-gradient(to bottom, lightgrey 0%, white 3%, transparent 4%),
    linear-gradient(to right, lightgrey 0%,white 4%);
    border: 1px solid rgba(0, 0, 0, 0.3);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
    border-radius: 15px;
    width: 350px;
    line-height: 120px;
    text-align: center;
}

.app-button:hover {
    transform: scale(0.98);
    background: linear-gradient(to left, lightgrey 0%, transparent 4%, transparent 5%),
    linear-gradient(to top, lightgrey 0%, transparent 4%, transparent 5%),
    linear-gradient(to bottom, lightgrey 0%, transparent 4%, transparent 5%),
    linear-gradient(to right, lightgrey 0%, white 4%);
    /*background: linear-gradient(180deg, gray, white, gray);*/
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.1);
}

.app-button:active {
    box-shadow: 0 8px 12px rgb(87, 178, 199, 0.50);
}

.app-logo-img {
    vertical-align: middle;
}


.app-card {
    /*background: linear-gradient(340deg, rgb(255, 255, 255,1) 0%, rgba(172, 191, 199, 0.05) 33%, rgba(255, 255, 255, 1) 80%);*/
    background: white;
    backdrop-filter: blur(10px);
    border: 1px solid rgba(0, 0, 0, 0.3);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 15px;
    width: fit-content;
    height: fit-content;

    & > .logo-box {
        height: 120px;
        width: 300px;
        line-height: 120px;
        text-align: center;
        margin: 0;
        padding: 0;
    }

    & > .logo-img {
        vertical-align: middle;
    }

    & > .description-box {
        height: 120px;
        padding: 0;
        margin: 0;
        max-width: 300px;
    }

    & > .description-text {
        padding: 0;
        margin: 0;
        max-width: 250px;
        text-align: justify-all;
        vertical-align: top;
    }

    & > .button-box {
        height: 50px;
        margin: 0;
        padding: 0;
    }
}